Index: branches/RWT/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/RWT/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 767)
+++ branches/RWT/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 771)
@@ -2029,6 +2029,6 @@
                     {
                         uint64_t flit = m_cc_receive_to_multi_ack_fifo.read();
-                        updt_index    = DspinDhccpParam::dspin_get(flit,
-                                DspinDhccpParam::MULTI_ACK_UPDT_INDEX);
+                        updt_index    = DspinRwtParam::dspin_get(flit,
+                                DspinRwtParam::MULTI_ACK_UPDT_INDEX);
 
                         cc_receive_to_multi_ack_fifo_get = true;
@@ -5661,29 +5661,29 @@
 
                     uint32_t srcid =
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_SRCID);
+                                DspinRwtParam::CLEANUP_SRCID);
 
                     uint8_t type =
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::P2M_TYPE);
+                                DspinRwtParam::P2M_TYPE);
 
                     r_cleanup_way_index =
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_WAY_INDEX);
+                                DspinRwtParam::CLEANUP_WAY_INDEX);
 
                     r_cleanup_nline =
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_NLINE_MSB) << 32;
-
-                    r_cleanup_inst  = (type == DspinDhccpParam::TYPE_CLEANUP_INST);
+                                DspinRwtParam::CLEANUP_NLINE_MSB) << 32;
+
+                    r_cleanup_inst  = (type == DspinRwtParam::TYPE_CLEANUP_INST);
                     r_cleanup_srcid = srcid;
                     r_cleanup_ncc = 
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_NCC);
+                                DspinRwtParam::CLEANUP_NCC);
                     r_cleanup_contains_data = false;
 
@@ -5710,8 +5710,8 @@
                             << " CLEANUP_IDLE> Cleanup request:" << std::hex
                             << " / owner_id = "   << srcid
-                            << " / owner_ins = "  << (type == DspinDhccpParam::TYPE_CLEANUP_INST)
-                            << " / ncc = " << DspinDhccpParam::dspin_get(
+                            << " / owner_ins = "  << (type == DspinRwtParam::TYPE_CLEANUP_INST)
+                            << " / ncc = " << DspinRwtParam::dspin_get(
                                     flit,
-                                    DspinDhccpParam::CLEANUP_NCC)
+                                    DspinRwtParam::CLEANUP_NCC)
                             << std::endl;
                     }
@@ -5728,8 +5728,8 @@
 
                     addr_t nline = r_cleanup_nline.read() |
-                        DspinDhccpParam::dspin_get(flit, DspinDhccpParam::CLEANUP_NLINE_LSB);
+                        DspinRwtParam::dspin_get(flit, DspinRwtParam::CLEANUP_NLINE_LSB);
 
                     bool eop =
-                        DspinDhccpParam::dspin_get(flit, DspinDhccpParam::P2M_EOP) == 0x1;
+                        DspinRwtParam::dspin_get(flit, DspinRwtParam::P2M_EOP) == 0x1;
 
                     if (! eop)
@@ -5768,5 +5768,5 @@
 
                         uint32_t data = 
-                            DspinDhccpParam::dspin_get (flit, DspinDhccpParam::CLEANUP_DATA_UPDT);
+                            DspinRwtParam::dspin_get (flit, DspinRwtParam::CLEANUP_DATA_UPDT);
 
                         r_cleanup_data[r_cleanup_data_index] = data;
@@ -8170,10 +8170,10 @@
 
                     uint8_t type =
-                        DspinDhccpParam::dspin_get(
+                        DspinRwtParam::dspin_get(
                                 p_dspin_p2m.data.read(),
-                                DspinDhccpParam::P2M_TYPE);
-
-                    if((type == DspinDhccpParam::TYPE_CLEANUP_DATA) or
-                            (type == DspinDhccpParam::TYPE_CLEANUP_INST))
+                                DspinRwtParam::P2M_TYPE);
+
+                    if((type == DspinRwtParam::TYPE_CLEANUP_DATA) or
+                            (type == DspinRwtParam::TYPE_CLEANUP_INST))
                     {
                         r_cc_receive_fsm = CC_RECEIVE_CLEANUP;
@@ -8181,5 +8181,5 @@
                     }
 
-                    if(type == DspinDhccpParam::TYPE_MULTI_ACK)
+                    if(type == DspinRwtParam::TYPE_MULTI_ACK)
                     {
                         r_cc_receive_fsm = CC_RECEIVE_MULTI_ACK;
@@ -10261,31 +10261,31 @@
                     if(m_config_to_cc_send_inst_fifo.read())
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                        multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_DATA;
                     }
 
                     uint64_t flit = 0;
                     uint64_t dest = m_config_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set( flit,
+                        (DspinRwtParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinRwtParam::dspin_set( flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
+                            DspinRwtParam::MULTI_INVAL_DEST);
 
                     // MODIFIED FOR CONFIG INVAL (solution 1 bit in flit multi_inval)
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             1,
-                            DspinDhccpParam::MULTI_INVAL_IS_CONFIG);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::MULTI_INVAL_IS_CONFIG);
+
+                    DspinRwtParam::dspin_set( flit,
                             r_config_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::MULTI_INVAL_UPDT_INDEX);
+
+                    DspinRwtParam::dspin_set( flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::M2P_TYPE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10296,7 +10296,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_config_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinRwtParam::MULTI_INVAL_NLINE);
                     p_dspin_m2p.eop   = true;
                     p_dspin_m2p.write = true;
@@ -10312,26 +10312,26 @@
                     if(m_xram_rsp_to_cc_send_inst_fifo.read())
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
+                        multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_INST;
                     }
                     else
                     {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
+                        multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_DATA;
                     }
 
                     uint64_t flit = 0;
                     uint64_t dest = m_xram_rsp_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set( flit,
+                        (DspinRwtParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinRwtParam::dspin_set( flit,
                             dest,
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::MULTI_INVAL_DEST);
+
+                    DspinRwtParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_INVAL_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::MULTI_INVAL_UPDT_INDEX);
+
+                    DspinRwtParam::dspin_set( flit,
                             multi_inval_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::M2P_TYPE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10344,7 +10344,7 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinRwtParam::MULTI_INVAL_NLINE);
                     p_dspin_m2p.eop   = true;
                     p_dspin_m2p.write = true;
@@ -10358,15 +10358,15 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             m_broadcast_boundaries,
-                            DspinDhccpParam::BROADCAST_BOX);
+                            DspinRwtParam::BROADCAST_BOX);
                     
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             1,
-                            DspinDhccpParam::MULTI_INVAL_IS_CONFIG);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::MULTI_INVAL_IS_CONFIG);
+
+                    DspinRwtParam::dspin_set( flit,
                             1ULL,
-                            DspinDhccpParam::M2P_BC);
+                            DspinRwtParam::M2P_BC);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10380,11 +10380,11 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             m_broadcast_boundaries,
-                            DspinDhccpParam::BROADCAST_BOX);
-
-                    DspinDhccpParam::dspin_set( flit,
+                            DspinRwtParam::BROADCAST_BOX);
+
+                    DspinRwtParam::dspin_set( flit,
                             1ULL,
-                            DspinDhccpParam::M2P_BC);
+                            DspinRwtParam::M2P_BC);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.data  = flit;
@@ -10395,7 +10395,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_xram_rsp_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinRwtParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -10407,7 +10407,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_config_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinRwtParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -10421,23 +10421,23 @@
                     uint64_t flit = 0;
 
-                    uint8_t multi_inval_type;
-                    if (r_read_to_cc_send_inst.read())
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_INST;
-                    }
-                    else
-                    {
-                        multi_inval_type = DspinDhccpParam::TYPE_MULTI_INVAL_DATA;
-                    }
-
-                    DspinDhccpParam::dspin_set(
+                    //uint8_t multi_inval_type;
+                    //if (r_read_to_cc_send_inst.read())
+                    //{
+                    //    multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_INST;
+                    //}
+                    //else
+                    //{
+                    //    multi_inval_type = DspinRwtParam::TYPE_MULTI_INVAL_DATA;
+                    //}
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_read_to_cc_send_dest.read(),
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_INVAL_DEST);
+
+                    DspinRwtParam::dspin_set(
                             flit,
-                            DspinDhccpParam::TYPE_MULTI_INVAL_DATA,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::TYPE_MULTI_INVAL_DATA,
+                            DspinRwtParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -10453,8 +10453,8 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_read_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinRwtParam::MULTI_INVAL_NLINE);
 
 
@@ -10471,13 +10471,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_write_to_cc_send_dest.read(),
-                            DspinDhccpParam::MULTI_INVAL_DEST);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_INVAL_DEST);
+
+                    DspinRwtParam::dspin_set(
                             flit,
-                            DspinDhccpParam::TYPE_MULTI_INVAL_DATA,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::TYPE_MULTI_INVAL_DATA,
+                            DspinRwtParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -10492,8 +10492,8 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_write_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_INVAL_NLINE);
+                            DspinRwtParam::MULTI_INVAL_NLINE);
 
 
@@ -10510,7 +10510,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_write_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinRwtParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -10522,7 +10522,7 @@
                 {
                     uint64_t flit = 0;
-                    DspinDhccpParam::dspin_set( flit,
+                    DspinRwtParam::dspin_set( flit,
                             r_cas_to_cc_send_nline.read(),
-                            DspinDhccpParam::BROADCAST_NLINE);
+                            DspinRwtParam::BROADCAST_NLINE);
                     p_dspin_m2p.write = true;
                     p_dspin_m2p.eop   = true;
@@ -10538,9 +10538,9 @@
                     if(m_write_to_cc_send_inst_fifo.read())
                     {
-                        multi_updt_type = DspinDhccpParam::TYPE_MULTI_UPDT_INST;
+                        multi_updt_type = DspinRwtParam::TYPE_MULTI_UPDT_INST;
                     }
                     else
                     {
-                        multi_updt_type = DspinDhccpParam::TYPE_MULTI_UPDT_DATA;
+                        multi_updt_type = DspinRwtParam::TYPE_MULTI_UPDT_DATA;
                     }
 
@@ -10548,20 +10548,20 @@
                     uint64_t dest =
                         m_write_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set(
+                        (DspinRwtParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             dest,
-                            DspinDhccpParam::MULTI_UPDT_DEST);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_DEST);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_write_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_UPDT_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             multi_updt_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -10575,13 +10575,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_write_to_cc_send_index.read(),
-                            DspinDhccpParam::MULTI_UPDT_WORD_INDEX);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_WORD_INDEX);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_write_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_UPDT_NLINE);
+                            DspinRwtParam::MULTI_UPDT_NLINE);
 
                     p_dspin_m2p.write = true;
@@ -10602,13 +10602,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             multi_updt_be,
-                            DspinDhccpParam::MULTI_UPDT_BE);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_BE);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             multi_updt_data,
-                            DspinDhccpParam::MULTI_UPDT_DATA);
+                            DspinRwtParam::MULTI_UPDT_DATA);
 
                     p_dspin_m2p.write = true;
@@ -10626,9 +10626,9 @@
                     if(m_cas_to_cc_send_inst_fifo.read())
                     {
-                        multi_updt_type = DspinDhccpParam::TYPE_MULTI_UPDT_INST;
+                        multi_updt_type = DspinRwtParam::TYPE_MULTI_UPDT_INST;
                     }
                     else
                     {
-                        multi_updt_type = DspinDhccpParam::TYPE_MULTI_UPDT_DATA;
+                        multi_updt_type = DspinRwtParam::TYPE_MULTI_UPDT_DATA;
                     }
 
@@ -10636,20 +10636,20 @@
                     uint64_t dest =
                         m_cas_to_cc_send_srcid_fifo.read() <<
-                        (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-                    DspinDhccpParam::dspin_set(
+                        (DspinRwtParam::SRCID_WIDTH - vci_param_int::S);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             dest,
-                            DspinDhccpParam::MULTI_UPDT_DEST);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_DEST);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_trdid.read(),
-                            DspinDhccpParam::MULTI_UPDT_UPDT_INDEX);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_UPDT_INDEX);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             multi_updt_type,
-                            DspinDhccpParam::M2P_TYPE);
+                            DspinRwtParam::M2P_TYPE);
 
                     p_dspin_m2p.write = true;
@@ -10663,13 +10663,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_index.read(),
-                            DspinDhccpParam::MULTI_UPDT_WORD_INDEX);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_WORD_INDEX);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_nline.read(),
-                            DspinDhccpParam::MULTI_UPDT_NLINE);
+                            DspinRwtParam::MULTI_UPDT_NLINE);
 
                     p_dspin_m2p.write = true;
@@ -10683,13 +10683,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             0xF,
-                            DspinDhccpParam::MULTI_UPDT_BE);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_BE);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_wdata.read(),
-                            DspinDhccpParam::MULTI_UPDT_DATA);
+                            DspinRwtParam::MULTI_UPDT_DATA);
 
                     p_dspin_m2p.write = true;
@@ -10704,13 +10704,13 @@
                     uint64_t flit = 0;
 
-                    DspinDhccpParam::dspin_set(
+                    DspinRwtParam::dspin_set(
                             flit,
                             0xF,
-                            DspinDhccpParam::MULTI_UPDT_BE);
-
-                    DspinDhccpParam::dspin_set(
+                            DspinRwtParam::MULTI_UPDT_BE);
+
+                    DspinRwtParam::dspin_set(
                             flit,
                             r_cas_to_cc_send_wdata_high.read(),
-                            DspinDhccpParam::MULTI_UPDT_DATA);
+                            DspinRwtParam::MULTI_UPDT_DATA);
 
                     p_dspin_m2p.write = true;
@@ -10731,34 +10731,34 @@
             if(r_cleanup_inst.read())
             {
-                cleanup_ack_type = DspinDhccpParam::TYPE_CLACK_INST;
+                cleanup_ack_type = DspinRwtParam::TYPE_CLACK_INST;
             }
             else
             {
-                cleanup_ack_type = DspinDhccpParam::TYPE_CLACK_DATA;
+                cleanup_ack_type = DspinRwtParam::TYPE_CLACK_DATA;
             }
 
             uint64_t flit = 0;
             uint64_t dest = r_cleanup_srcid.read() <<
-                (DspinDhccpParam::SRCID_WIDTH - vci_param_int::S);
-
-            DspinDhccpParam::dspin_set(
+                (DspinRwtParam::SRCID_WIDTH - vci_param_int::S);
+
+            DspinRwtParam::dspin_set(
                     flit,
                     dest,
-                    DspinDhccpParam::CLACK_DEST);
-
-            DspinDhccpParam::dspin_set(
+                    DspinRwtParam::CLACK_DEST);
+
+            DspinRwtParam::dspin_set(
                     flit,
                     r_cleanup_nline.read() & 0xFFFF,
-                    DspinDhccpParam::CLACK_SET);
-
-            DspinDhccpParam::dspin_set(
+                    DspinRwtParam::CLACK_SET);
+
+            DspinRwtParam::dspin_set(
                     flit,
                     r_cleanup_way_index.read(),
-                    DspinDhccpParam::CLACK_WAY);
-
-            DspinDhccpParam::dspin_set(
+                    DspinRwtParam::CLACK_WAY);
+
+            DspinRwtParam::dspin_set(
                     flit,
                     cleanup_ack_type,
-                    DspinDhccpParam::CLACK_TYPE);
+                    DspinRwtParam::CLACK_TYPE);
 
             p_dspin_clack.eop   = true;
